This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 234132 - MIssing monitor related code in merge_into()
MIssing monitor related code in merge_into()
Status: CLOSED DUPLICATE of bug 234131
Product: Fedora
Classification: Fedora
Component: rhpxl (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-27 06:17 EDT by Vasile Chelban
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 06:23:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xhwstate.py patch (1.66 KB, patch)
2007-03-27 06:17 EDT, Vasile Chelban
no flags Details | Diff

  None (edit)
Description Vasile Chelban 2007-03-27 06:17:20 EDT
Description of problem:
system-config-display does not change monitor type if another monitor section 
is already present in xorg.conf.

Version-Release number of selected component (if applicable):
rhpxl-0.39-2 (FC6), rhpxl-0.43-1.fc7 (F7T2)


How reproducible:
by changing any of monitor related options like vrefresh, hsync, or monitor name

Steps to Reproduce:
1. Set inittial monitor section (assume that no monitor is already configured): 
system-config-display --set-hsync=31.5-86.0 --set-vsync=60-160 
2. try to change any of monitor options: system-config-display -o /tmp/
xorg.conf --set-hsync=31.5-60.0
3. see the difference: diff -u /etc/xorg.conf /tmp/xorg.conf|grep HorizSync
  
Actual results:
no differences found, i.e. second step failed

Expected results:
-        HorizSync    31.5 - 86.0
+        HorizSync    31.5 - 60.0


Additional info:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=176592 - seems to be 
duplicate
Actual bug is missing monitor related code in merge_into() routine from 
xhwstate.py (rhpxl package). See the attached patch that fixed issue for me.
Comment 1 Vasile Chelban 2007-03-27 06:17:20 EDT
Created attachment 151006 [details]
xhwstate.py patch
Comment 2 Vasile Chelban 2007-03-27 06:23:32 EDT

*** This bug has been marked as a duplicate of 234131 ***

Note You need to log in before you can comment on or make changes to this bug.